Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459602 - Lowering resolution kills X
Summary: Lowering resolution kills X
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-20 13:45 UTC by Brad Smith
Modified: 2009-07-14 17:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:26:25 UTC
Type: ---


Attachments (Terms of Use)

Description Brad Smith 2008-08-20 13:45:18 UTC
Description of problem:
Lowering the screen resolution via gnome-display-properties from my Thinkpad T60's native 1680x1050 kills X and drops back to a gdm login.

Version-Release number of selected component (if applicable):
control-center-2.22.2.1-1.fc9.i386

How reproducible:
Always (at least on my hardware)

Steps to Reproduce:
1. Open gnome-display-properties
2. Select new resolution 
3. Click Apply
  
Actual results:
X server dies as if ctrl+alt+backspace were hit

Expected results:
Resolution changes

Additional info:
Admittedly this is using an unusual resolution. Haven't tested on other hardware.

Comment 1 Bastien Nocera 2008-08-20 13:59:45 UTC
That's a bug in X, it shouldn't crash when selecting another resolution. Reassigning to xorg-x11 so they can ask you for whatever's needed to solve this problem.

Comment 2 Bug Zapper 2009-06-10 02:31:04 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 17:26:25 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.